"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var dev_1 = require("./dev");
var qa_1 = require("./qa");
var prod_1 = require("./prod");
var env = {};
var envName = process.env.VUE_APP_FILE_SDK_ENV || 'production';
var enviornments = [{
        name: 'production',
        config: prod_1.default
    }, {
        name: 'qa',
        config: qa_1.default
    }, {
        name: 'development',
        config: dev_1.default
    }];
/*eslint-env node*/
for (var index = 0; index < enviornments.length; index++) {
    env = Object.assign(env, enviornments[index].config);
    if (envName === enviornments[index].name) {
        break;
    }
}
/*eslint-env browser*/
exports.default = {
    get: function (key) {
        return env[key];
    }
};
//# sourceMappingURL=index.js.map