export class UploadManager {
    constructor(options: any, handlers: any, statisticsLogger: any);
    config: any;
    extension: any;
    statisticsLogger: any;
    progress: any;
    xhrList: any[];
    xhrHandler: (xhr: any) => number;
    aborted: boolean;
    file: any;
    key: any;
    onData: () => void;
    onError: () => void;
    onComplete: () => void;
    retryCount: number;
    putFile(): Promise<any>;
    uploadAt: number;
    clear(): void;
    stop(): void;
    directUpload(): Promise<any>;
    uploadUrl: string;
    resumeUpload(): Promise<any>;
    loaded: {
        mkFileProgress: number;
        chunks: any;
    };
    ctxList: any[];
    localInfo: any;
    chunks: any[];
    uploadChunk(chunkInfo: any): Promise<any>;
    mkFileReq(data: any): Promise<any>;
    updateDirectProgress(loaded: any, total: any): void;
    finishDirectProgress(): void;
    initChunksProgress(): void;
    updateChunkProgress(loaded: any, index: any): void;
    updateMkFileProgress(progress: any): void;
    notifyResumeProgress(): void;
    getProgressInfoItem(loaded: any, size: any): {
        loaded: any;
        size: any;
        percent: number;
    };
}
