import dev from './dev'
import qa from './qa'
import prod from './prod'
let env = {}
const envName = process.env.VUE_APP_FILE_SDK_ENV || 'production'
let enviornments = [{
  name: 'production',
  config: prod
}, {
  name: 'qa',
  config: qa
}, {
  name: 'development',
  config: dev
}]
/*eslint-env node*/
for (let index = 0; index < enviornments.length; index++) {
  env = Object.assign(env, enviornments[index].config)
  if (envName === enviornments[index].name) {
    break
  }
}
/*eslint-env browser*/

export default {
  get(key) {
    return env[key]
  }
}
